NFSSTAT(1)

NAME
nfsstat - display NFS statistics

SYNOPSIS
nfsstat [--libxo] [-cdEemqszW] [-w wait]

DESCRIPTION
The nfsstat command displays statistics kept about NFS client and server activity. For the NFSv4 server, the statistics are for operations within the Compound RPCs and not the count of RPCs. If you wish to compare RPC counts between NFSv3 and NFSv4, you must use statistics in the client(s).

The options are as follows:

-c  Only display client side statistics.

-d  Display statistics for the NFS server that are similar to those displayed by iostat(8). This includes kilobytes per transfer, transfers per second, and megabytes per second for read, write, and all operations. It also includes the current queue depth, the busy percentage, and latency for all operations. If the -W flag is added, commits per second, commit latency, read latency, and write latency are also added to the display. The busy percentage shown can exceed 100 at times. This is because of the way busy percentages are calculated. The busy time is calculated by adding the elapsed time between the last time an operation started or finished, and the current time. If there is only one operation outstanding, the "busy time" time will get updated with the total time of that operation. That means that the difference in the busy time between the two measurement intervals (often 1 second) will increase by more than the measurement interval.

-e  Report the extra statistics collected by the NFS client and server for NFSv4.

-E  Similar to -e except that the statistics include NFSv4.1 and NFSv4.2 and the numbers aren't clipped at one billion. Only one of -e or -E can be specified.

-M  Deprecated and ignored.

-m  Report the mount options for all NFS client mounts. This option overrides all others and nfsstat will exit after completing the report.

-N  Deprecated and ignored.

-s  Only display server side statistics.

-W  Use wide format with interval short summary. This option is especially useful when combined with -c, -d, or -s and a time delay.

-w wait
    Display a shorter summary of NFS activity for both the client and server at wait second intervals.

-z  Reset statistics after displaying them.

-q  Do not print headers.

--libxo
    Generate output via libxo(3) in a selection of different human and machine readable formats. See xo_options(7) for details on command line arguments.

SEE ALSO
fstat(1), netstat(1), ps(1), systat(1), sysctl(3), iostat(8), nfsdumpstate(8), pstat(8), vmstat(8)

HISTORY
The nfsstat command appeared in 4.4BSD.